/*
 *  xpsk31: An application to transmit and receive
 *  PSK31 signals using a computer's sound card.
 *
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details:
 *
 *  http://www.gnu.org/copyleft/gpl.txt
 */

#ifndef UTILS_H
#define UTILS_H		1

#include <sys/stat.h>
#include "common.h"
#include "support.h"
#include "shared.h"

/* For opening files */
#define FILE_NEW	1
#define FILE_OPEN	2

/* Some character definitions */
#define CR		0x0d /* Carriage Return */
#define LF		0x0a /* Line Feed       */

#define RECORD_SIZE		616 /* Size in bytes of QSO Records in station log */
#define REC_BUFF_SIZE	618 /* Size in bytes of QSO Records buffer (+'\0') */
#define CARDS_PER_PAGE	  6 /* QSL cards per "page" in the postscipt file  */
#define LINE_LEN		 77 /* Limit of line length in text files */

#endif

